import { promises as fs } from "fs";
import type { NextApiRequest, NextApiResponse } from "next";

export default async function handler(
  _req: NextApiRequest,
  res: NextApiResponse,
) {
  try {
    const file = await fs.readFile(process.cwd() + "/pages/data.json", "utf8");
    const data = JSON.parse(file);

    return res.status(200).json(data);
  } catch (error: any) {
    return res.status(200).json({ error: error });
  }
}
